
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

void __assert_fail(const char * __assertion, const char * __file, unsigned int __line, const char * __function) {
    clrscr();
    gotoxy(0, 0);
    puts("Assertion failed");
    puts(__assertion);
    putchar('\xff');
    puts("File: ");
    puts(__file);
    putchar('\xff');
    puts("Line: ");
    put_int(__line);
    putchar('\xff');
    puts("Function: ");
    puts(__function);
    putchar('\xff');
    puts("Press any key to continue ...");
    getchar();
    exit();
}
